<template>
    <div class="content-container">
      <div class="columns">
        <div class="column is-8">
          <div class="section content-title-group">
            <h2 class="title">Pawns</h2>
            <ul>
              <li v-for="pawn in pawns" :key="pawn.id">
                <div class="card">
                  <div class="card-content">
                    <div class="content">
                      <div :key="pawn.firstName" class="name">
                        {{ pawn.firstName }} {{ pawn.lastName }}
                      </div>
                      <div class="description">{{ pawn.pawnItem }}</div>
                    </div>
                  </div>
                  <footer class="card-footer">
                    <router-link
                      tag="button"
                      class="link card-footer-item"
                      :to="{ name: 'PawnDetail', params: { id: pawn.id } }"
                    >
                      <i class="fas fa-check"></i>
                      <span>Select</span>
                    </router-link>
                  </footer>
                </div>
              </li>
            </ul>
          </div>
          <div class="notification is-info" v-show="message">{{ message }}</div>
        </div>
      </div>
    </div>
  </template>
  
  <script>
  import { dataService } from '../shared';
  
  export default {
    name: 'Pawns',
    data() {
      return {
        pawns: [],
        message: '',
      };
    },
    async created() {
      await this.loadPawns();
    },
    methods: {
      async loadPawns() {
        this.pawns = [];
        this.message = 'getting the pawns';
  
        this.pawns = await dataService.getPawns();
  
        this.message = '';
      },
    },
  };
  </script>
  